POST api/v1/syncorganisations
Request Information
URI Parameters
None.
Body Parameters
SyncAgencyModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| SyncId | integer |
None. |
|
| ContactFirstName | string |
None. |
|
| ContactLastName | string |
None. |
|
| ContactEmail | string |
None. |
|
| PhoneDisplayed | boolean |
None. |
|
| Phone | string |
None. |
|
| EmailDisplayed | boolean |
None. |
|
| string |
None. |
||
| Fax | string |
None. |
|
| Name | string |
None. |
|
| ABN | string |
None. |
|
| ServiceFocus | integer |
None. |
|
| Description | string |
None. |
|
| LogoFileName | string |
None. |
|
| LogoContent | SyncOrganisationImageModel |
None. |
|
| Referee | string |
None. |
|
| Web | string |
None. |
|
| OrganisationTypeId | integer |
None. |
|
| Status | integer |
None. |
|
| DateCreated | date |
None. |
|
| Address | SyncAgencyAddressModel |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"id": 1,
"syncId": 2,
"contactFirstName": "sample string 3",
"contactLastName": "sample string 4",
"contactEmail": "sample string 5",
"phoneDisplayed": true,
"phone": "sample string 7",
"emailDisplayed": true,
"email": "sample string 9",
"fax": "sample string 10",
"name": "sample string 11",
"abn": "sample string 12",
"serviceFocus": 13,
"description": "sample string 14",
"logoFileName": "sample string 15",
"logoContent": {
"contentType": "sample string 1",
"content": "sample string 2"
},
"referee": "sample string 16",
"web": "sample string 17",
"organisationTypeId": 1,
"status": 18,
"dateCreated": "2026-06-25T13:34:57.2948082+00:00",
"address": {
"street": "sample string 1",
"suburb": "sample string 2",
"postcode": 3,
"isPrimary": true,
"isMailing": true
}
}
application/xml, text/xml
Sample:
<SyncAgencyModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.Core.CustomModels">
<ABN>sample string 12</ABN>
<Address>
<IsMailing>true</IsMailing>
<IsPrimary>true</IsPrimary>
<Postcode>3</Postcode>
<Street>sample string 1</Street>
<Suburb>sample string 2</Suburb>
</Address>
<ContactEmail>sample string 5</ContactEmail>
<ContactFirstName>sample string 3</ContactFirstName>
<ContactLastName>sample string 4</ContactLastName>
<DateCreated>2026-06-25T13:34:57.2948082+00:00</DateCreated>
<Description>sample string 14</Description>
<Email>sample string 9</Email>
<EmailDisplayed>true</EmailDisplayed>
<Fax>sample string 10</Fax>
<Id>1</Id>
<LogoContent>
<Content>sample string 2</Content>
<ContentType>sample string 1</ContentType>
</LogoContent>
<LogoFileName>sample string 15</LogoFileName>
<Name>sample string 11</Name>
<OrganisationTypeId>1</OrganisationTypeId>
<Phone>sample string 7</Phone>
<PhoneDisplayed>true</PhoneDisplayed>
<Referee>sample string 16</Referee>
<ServiceFocus>13</ServiceFocus>
<Status>18</Status>
<SyncId>2</SyncId>
<Web>sample string 17</Web>
</SyncAgencyModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |